Board index FlightGear The FlightGear project

2018.3 Release

Questions about the FlightGear organisation, website, wiki etc.

Re: 2018.3 Release

Postby V12 » Thu Dec 20, 2018 11:04 am

I found another stupid bug in final version - property /environment/contrail have value TRUE first 30 seconds after simulation's start , then switched to FALSE...
Fly high, fly fast - fly Concorde !
User avatar
V12
 
Posts: 1340
Joined: Thu Jan 12, 2017 4:27 pm
Location: LZIB
Callsign: BAWV12

Re: 2018.3 Release

Postby flywisher » Thu Dec 20, 2018 6:36 pm

Just got my Flightgear repository update in my Linux Mint 13 system. The update (it was big - took 2 1/2 hours) resulted in Flightgear disappearing from my menu. Synaptic lists "flightgear" (the binaries package) as 2018.2.2, while everything else is listed as 2018.3.1, and the binaries package is now listed as not installed.

When I select the "flightgear" binaries package to install, it complains:
flightgear:
Depends: flightgear-data-all (<1:2018.2.3~) but 1:2018.3.1+dfsg-0ubuntu1~ppa1 is to be installed

... and it provides no override.

I checked the actual folder. The binaries are gone, so for now, FG is not available/useable on this system.

Has anyone else had this result?
flywisher
 
Posts: 133
Joined: Mon Jun 01, 2009 2:37 am
Location: San Diego, CA USA
Callsign: flywisher
OS: XP, Vista, Mint

Re: 2018.3 Release

Postby wkitty42 » Thu Dec 20, 2018 7:59 pm

if you are pulling from the PPA, this is understandable and you might need to let saircot know about it...
if you are pulling from the PPA, which one? there's a release one as well as an "edge" one which should be the nightlies, i think...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 5502
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: 2018.3 Release

Postby massima » Thu Dec 20, 2018 8:05 pm

flywisher wrote in Thu Dec 20, 2018 6:36 pm:Just got my Flightgear repository update in my Linux Mint 13 system. The update (it was big - took 2 1/2 hours) resulted in Flightgear disappearing from my menu. Synaptic lists "flightgear" (the binaries package) as 2018.2.2, while everything else is listed as 2018.3.1, and the binaries package is now listed as not installed.

When I select the "flightgear" binaries package to install, it complains:
flightgear:
Depends: flightgear-data-all (<1:2018.2.3~) but 1:2018.3.1+dfsg-0ubuntu1~ppa1 is to be installed

... and it provides no override.

I checked the actual folder. The binaries are gone, so for now, FG is not available/useable on this system.

Has anyone else had this result?


I'm using tha latest stable version with my testing debian from official repo, the Flightgear binary package isn't available but i downloaded manually the unstable version.
User avatar
massima
 
Posts: 227
Joined: Sat Jan 03, 2015 6:48 pm
Location: Italy
Callsign: M-AXX
Version: 2019.1.1
OS: debian testing

Re: 2018.3 Release

Postby flywisher » Fri Dec 21, 2018 5:28 am

May I ask where you got that "unstable version"? I looked around the download pages and failed to find it.
flywisher
 
Posts: 133
Joined: Mon Jun 01, 2009 2:37 am
Location: San Diego, CA USA
Callsign: flywisher
OS: XP, Vista, Mint

Re: 2018.3 Release

Postby V12 » Fri Dec 21, 2018 7:17 am

Search for flightgear ppa daily
Fly high, fly fast - fly Concorde !
User avatar
V12
 
Posts: 1340
Joined: Thu Jan 12, 2017 4:27 pm
Location: LZIB
Callsign: BAWV12

Re: 2018.3 Release

Postby massima » Fri Dec 21, 2018 5:15 pm

flywisher wrote in Fri Dec 21, 2018 5:28 am:May I ask where you got that "unstable version"? I looked around the download pages and failed to find it.


See here, it is for the Debian distro and requires libc6 2.28
User avatar
massima
 
Posts: 227
Joined: Sat Jan 03, 2015 6:48 pm
Location: Italy
Callsign: M-AXX
Version: 2019.1.1
OS: debian testing

Re: 2018.3 Release

Postby flywisher » Fri Dec 21, 2018 6:14 pm

Thank you massima. I found it very confusing, though. The links called "-base" seemed the only place to find the base binaries, but every time I looked into a "-base" link, it said it did "not contain the simulator itself" and I should look for the "package". No other links ("-ai", "-models", etc.) seemed likely for the main binaries.
Methinks I will just wait until the maintainer gets it fixed, as others have reported the discrepancy too.
flywisher
 
Posts: 133
Joined: Mon Jun 01, 2009 2:37 am
Location: San Diego, CA USA
Callsign: flywisher
OS: XP, Vista, Mint

Re: 2018.3 Release

Postby massima » Fri Dec 21, 2018 7:11 pm

Only the Flightgear package contains binaries, others contain only data. Probably you have all files except the main package "Flightgear" if you cannot wait download it here

Or wait the ppa repo, debian don't use the libsimgear package instead of Ubuntu does.
User avatar
massima
 
Posts: 227
Joined: Sat Jan 03, 2015 6:48 pm
Location: Italy
Callsign: M-AXX
Version: 2019.1.1
OS: debian testing

Re: 2018.3 Release

Postby AAL545 » Sun Dec 23, 2018 4:55 am

I'm on Linux Mint 18.3 and on one of the upgrades (can't remember which one) it downloaded one part of the package and a day or two later
it downloaded part two, if you have added the proper PPA then you might have to wait like I did.

Good luck
AAL4955
AAL545
 
Posts: 173
Joined: Tue Aug 08, 2017 4:14 am

Re: 2018.3 Release

Postby flywisher » Sun Dec 23, 2018 5:01 am

Thank you AAL545. That's what I'm doing.
Massima, thank you for that link. I checked it right away. I found only 2018.4x packages, no 2018.3x. So I'll wait and watch, as AAL545 did.

I'll report back if it shows up.
flywisher
 
Posts: 133
Joined: Mon Jun 01, 2009 2:37 am
Location: San Diego, CA USA
Callsign: flywisher
OS: XP, Vista, Mint

Re: 2018.3 Release

Postby Hotshot » Sun Feb 24, 2019 9:11 pm

Dear Simmers and developers!
I am new to this; upon opening the program after installation I always get this: Simgear Error --console ignored because stdout or stderr redirected with > or 2>.
When I click OK, the program simply closes.
De-installing and re-installing has already been done.
Program in C://program files/flightgear 2018
I am on Windows 10 64-Bit.
Could that have anything to do with that?
Looking forward to your replies.
Yours, Hotshot
Hotshot
 
Posts: 1
Joined: Sun Feb 24, 2019 9:03 pm

Previous

Return to The FlightGear project

Who is online

Users browsing this forum: No registered users and 6 guests